Calendar Events

Schedule and manage meetings, calls, and events linked to leads, accounts, or opportunities.

GET/calendar/events

List calendar events with date range and entity filters.

ParamTypeDescription
startDatestringISO 8601 datetime
endDatestringISO 8601 datetime
entityTypestringFilter: lead, account, opportunity
entityIduuidUUID of the linked entity
limitintMax results (default: 100, max: 500)
offsetintPagination offset (default: 0)
Request
curl "https://kashew.ai/api/v1/calendar/events?startDate=2026-04-01T00:00:00Z&endDate=2026-04-30T23:59:59Z" \
  -H "Authorization: Bearer kshw_YOUR_KEY"
200
{
  "success": true,
  "events": [{
    "id": "uuid",
    "title": "Client Meeting",
    "description": "Quarterly review",
    "start_time": "2026-04-15T10:00:00",
    "end_time": "2026-04-15T11:00:00",
    "location": "Zoom",
    "is_all_day": false,
    "attendees": ["alice@acme.com"],
    "entity_type": "account",
    "entity_id": "uuid"
  }],
  "count": 12
}
POST/calendar/events

Create a new calendar event linked to a CRM entity.

Request Body
{
  "title": "Client Meeting",
  "startTime": "2026-04-15T10:00:00Z",
  "endTime": "2026-04-15T11:00:00Z",
  "description": "Quarterly business review",
  "location": "Zoom",
  "timezone": "UTC",
  "isAllDay": false,
  "attendees": ["alice@acme.com", "bob@acme.com"],
  "entityType": "account",
  "entityId": "uuid-of-account"
}
FieldRequiredDescription
titleyesEvent title
startTimeyesISO 8601 datetime
endTimeyesISO 8601 datetime
entityTypeyeslead, account, opportunity
entityIdyesUUID of linked entity
descriptionnoAgenda or purpose
locationnoZoom link, office address, etc.
attendeesnoArray of email addresses
timezonenoe.g. "UTC", "America/New_York"
isAllDaynoDefault false
201
{ "id": "uuid", "status": "created", "success": true }
PUT/calendar/events/:id

Update an event's title, time, description, or attendees.

curl -X PUT "https://kashew.ai/api/v1/calendar/events/uuid-..." \
  -H "Authorization: Bearer kshw_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"title": "Updated Meeting Title", "description": "New agenda"}'